> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns the lowest priced offers for a batch of SKU listings

POST https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers
Content-Type: application/json

Batch version of getListingOffers. Accepts up to 20 SKU requests.

Implemented as in-process fan-out over getListingOffers (IQS-backed).
Each SKU gets its own per-item HTTP status code in the response body;
the outer HTTP response is always 200.
Implemented: RCTPAPI-20857.


Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/inventory-pricing/pricing/product-pricing/get-listing-offers-batch

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a GetListingOffersBatchRequest.

- `requests` (list of ListingOffersRequest, optional) — A list of getListingOffers batched requests to run.

## Response

### 200

Success

- `responses` (list of ListingOffersResponse, optional) — A list of getListingOffers batched responses.

## Errors

### 400 Bad Request Error

Bad Request

- `list of Error`

### 403 Forbidden Error

Forbidden

- `list of Error`

### 404 Not Found Error

Not Found

- `list of Error`

### 429 Too Many Requests Error

Rate limit exceeded

- `list of Error`

### 500 Internal Server Error

Internal Server Error

- `list of Error`

## Types

### ListingOffersRequest

List of request parameters accepted by the getListingOffers operation.

- `uri` (string, required) — The resource path of the operation being called in batch, without query parameters.
- `method` (enum, required) — The HTTP method associated with the individual APIs being called as part of the batch request.
  - Allowed values: `GET`, `PUT`, `PATCH`, `DELETE`, `POST`
- `MarketplaceId` (string, required) — A marketplace identifier.
- `ItemCondition` (enum, required) — Indicates the condition of the item. Possible values: New, Used, Collectible, Refurbished, Club.
  - Allowed values: `New`, `Used`, `Collectible`, `Refurbished`, `Club`
- `SellerSKU` (string, required) — The seller stock keeping unit (SKU) of the item.
- `headers` (HttpRequestHeaders, optional) — A mapping of additional HTTP headers to send for the individual batch request.
- `CustomerType` (enum, optional) — Indicates whether to request Consumer or Business offers. Default is Consumer.
  - Allowed values: `Consumer`, `Business`

### ListingOffersResponse

Schema for an individual ListingOffersResponse.

- `body` (GetOffersResponse, required) — The response schema for the getListingOffers and getItemOffers operations.
- `headers` (HttpResponseHeaders, optional) — A mapping of additional HTTP headers to receive for the individual batch request.
- `status` (GetOffersHttpStatusLine, optional) — The HTTP status line associated with the response.
- `request` (ListingOffersRequest, optional) — List of request parameters accepted by the getListingOffers operation.

### Error

Error response returned when the request is unsuccessful.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### HttpRequestHeaders

A mapping of additional HTTP headers to send for the individual batch request.

### GetOffersResponse

The response schema for the getListingOffers and getItemOffers operations.

- `payload` (GetOffersResult, optional) — The payload for the getListingOffers and getItemOffers operations.
- `errors` (list of Error, optional) — A list of error responses returned when a request is unsuccessful.

### HttpResponseHeaders

A mapping of additional HTTP headers to receive for the individual batch request.

- `Date` (string, optional) — The timestamp that the API request was received.
- `X-Request-Id` (string, optional) — Unique request reference identifier.

### GetOffersHttpStatusLine

The HTTP status line associated with the response.

- `statusCode` (integer, optional) — The HTTP response Status Code.
- `reasonPhrase` (string, optional) — The HTTP response Reason-Phrase.

### GetOffersResult

The payload for the getListingOffers and getItemOffers operations.

- `marketplaceId` (string, required) — A marketplace identifier.
- `ItemCondition` (enum, required) — Indicates the condition of the item. Possible values: New, Used, Collectible, Refurbished, Club.
  - Allowed values: `New`, `Used`, `Collectible`, `Refurbished`, `Club`
- `status` (string, required) — The status of the operation.
- `Identifier` (ItemIdentifier, required) — Information that identifies an item.
- `Summary` (Summary, required) — Contains price information about the product, including LowestPrices, BuyBoxPrices, and NumberOfOffers.
- `Offers` (list of OfferDetail, required) — A list of offer details. The list is the same length as TotalOfferCount in the Summary or 20, whichever is less.
- `walmartItemId` (string, optional) — The Walmart Item ID of the item.
- `SKU` (string, optional) — The stock keeping unit (SKU) of the item.

### ItemIdentifier

Information that identifies an item.

- `MarketplaceId` (string, required) — A marketplace identifier.
- `ItemCondition` (enum, required) — Indicates the condition of the item. Possible values: New, Used, Collectible, Refurbished, Club.
  - Allowed values: `New`, `Used`, `Collectible`, `Refurbished`, `Club`
- `walmartItemId` (string, optional) — The Walmart Item ID of the item.
- `SellerSKU` (string, optional) — The seller stock keeping unit (SKU) of the item.

### Summary

Contains price information about the product, including LowestPrices, BuyBoxPrices, and NumberOfOffers.

- `TotalOfferCount` (integer, required) — The number of unique offers contained in NumberOfOffers.
- `NumberOfOffers` (list of OfferCountType, optional) — A list of the total number of offers, by condition and fulfillment channel.
- `LowestPrices` (list of LowestPriceType, optional) — A list of the lowest prices.
- `BuyBoxPrices` (list of BuyBoxPriceType, optional) — A list of the Buy Box prices.
- `ListPrice` (MoneyType, optional) — Currency type and monetary value.
- `CompetitivePriceThreshold` (MoneyType, optional) — Currency type and monetary value.
- `SuggestedLowerPricePlusShipping` (MoneyType, optional) — Currency type and monetary value.
- `SalesRankings` (list of SalesRankType, optional) — A list of sales rank information for the item, by category.
- `BuyBoxEligibleOffers` (list of OfferCountType, optional) — A list of the total number of offers eligible for the Buy Box, by condition and fulfillment channel.
- `OffersAvailableTime` (datetime, optional) — When the status is ActiveButTooSoonForProcessing, the time when offers will be available for processing.

### OfferDetail

Schema for an individual offer detail.

- `SubCondition` (string, required) — The subcondition of the item. Subcondition values: New, Mint, Very Good, Good, Acceptable, Poor, Club, OEM, Warranty, Refurbished Warranty, Refurbished, Open Box, or Other.
- `ShippingTime` (DetailedShippingTimeType, required) — The time range in which an item will likely be shipped once an order has been placed.
- `ListingPrice` (MoneyType, required) — Currency type and monetary value.
- `Shipping` (MoneyType, required) — Currency type and monetary value.
- `IsFulfilledByWFS` (boolean, required) — When true, the offer is fulfilled by Walmart Fulfillment Services (WFS).
- `MyOffer` (boolean, optional) — When true, this is the seller's offer.
- `offerType` (enum, optional) — Indicates whether the offer is a B2B or B2C offer.
  - Allowed values: `B2C`, `B2B`
- `SellerId` (string, optional) — The seller identifier for the offer.
- `ConditionNotes` (string, optional) — Information about the condition of the item.
- `SellerFeedbackRating` (SellerFeedbackType, optional) — Information about the seller's feedback, including the percentage of positive feedback and total ratings.
- `quantityDiscountPrices` (list of QuantityDiscountPriceType, optional) — Item pricing information when buying in bulk.
- `ShipsFrom` (ShipsFromType, optional) — The state and country from where the item is shipped.
- `WFSPrimeDetails` (WFSPrimeDetailsType, optional) — Walmart Fulfillment Services prime eligibility information.
- `IsBuyBoxWinner` (boolean, optional) — When true, the offer is currently in the Buy Box.
- `IsFeaturedMerchant` (boolean, optional) — When true, the seller of the item is eligible to win the Buy Box.

### OfferCountType

The total number of offers for the specified condition and fulfillment channel.

- `condition` (string, optional) — Indicates the condition of the item. For example: New, Used, Collectible, Refurbished, or Club.
- `fulfillmentChannel` (enum, optional) — Indicates whether the item is fulfilled by the seller or by Walmart Fulfillment Services.
  - Allowed values: `WFS`, `SELLER`
- `OfferCount` (integer, optional) — The number of offers in a fulfillment channel that meet a specific condition.

### LowestPriceType

Schema for an individual lowest price.

- `condition` (string, required) — Indicates the condition of the item. For example: New, Used, Collectible, Refurbished, or Club.
- `fulfillmentChannel` (enum, required) — Indicates whether the item is fulfilled by WFS or the seller.
  - Allowed values: `WFS`, `SELLER`
- `ListingPrice` (MoneyType, required) — Currency type and monetary value.
- `offerType` (enum, optional) — Indicates whether the offer is a B2B or B2C offer.
  - Allowed values: `B2C`, `B2B`
- `quantityTier` (integer, optional) — Indicates at what quantity this price becomes active.
- `quantityDiscountType` (enum, optional) — Indicates the type of quantity discount this price applies to.
  - Allowed values: `QUANTITY_DISCOUNT`
- `LandedPrice` (MoneyType, optional) — Currency type and monetary value.
- `Shipping` (MoneyType, optional) — Currency type and monetary value.

### BuyBoxPriceType

Schema for an individual Buy Box price.

- `condition` (string, required) — Indicates the condition of the item. For example: New, Used, Collectible, Refurbished, or Club.
- `LandedPrice` (MoneyType, required) — Currency type and monetary value.
- `ListingPrice` (MoneyType, required) — Currency type and monetary value.
- `Shipping` (MoneyType, required) — Currency type and monetary value.
- `offerType` (enum, optional) — Indicates whether the offer is a B2B or B2C offer.
  - Allowed values: `B2C`, `B2B`
- `quantityTier` (integer, optional) — Indicates at what quantity this price becomes active.
- `quantityDiscountType` (enum, optional) — Indicates the type of quantity discount this price applies to.
  - Allowed values: `QUANTITY_DISCOUNT`
- `sellerId` (string, optional) — The seller identifier for the offer.

### MoneyType

Currency type and monetary value.

- `CurrencyCode` (string, optional, default: USD) — The currency code in ISO 4217 format.
- `Amount` (double, optional) — The monetary value.

### SalesRankType

Sales rank information for the item, by category.

- `ProductCategoryId` (string, required) — Identifies the item category from which the sales rank is taken.
- `Rank` (integer, required) — The sales rank of the item within the item category.

### DetailedShippingTimeType

The time range in which an item will likely be shipped once an order has been placed.

- `minimumHours` (long, optional) — The minimum time, in hours, that the item will likely be shipped after the order has been placed.
- `maximumHours` (long, optional) — The maximum time, in hours, that the item will likely be shipped after the order has been placed.
- `availableDate` (string, optional) — The date when the item will be available for shipping.
- `availabilityType` (enum, optional) — Indicates whether the item is available for shipping now, or on a known or an unknown date in the future.
  - Allowed values: `NOW`, `FUTURE_WITHOUT_DATE`, `FUTURE_WITH_DATE`

### SellerFeedbackType

Information about the seller's feedback, including the percentage of positive feedback and total ratings.

- `FeedbackCount` (long, required) — The number of ratings received about the seller.
- `SellerPositiveFeedbackRating` (double, optional) — The percentage of positive feedback for the seller in the past 365 days.

### QuantityDiscountPriceType

Contains pricing information for bulk purchase discounts.

- `quantityTier` (integer, required) — Indicates at what quantity this price becomes active.
- `quantityDiscountType` (enum, required) — Indicates the type of quantity discount this price applies to.
  - Allowed values: `QUANTITY_DISCOUNT`
- `listingPrice` (MoneyType, required) — Currency type and monetary value.

### ShipsFromType

The state and country from where the item is shipped.

- `State` (string, optional) — The state from where the item is shipped.
- `Country` (string, optional) — The country from where the item is shipped.

### WFSPrimeDetailsType

Walmart Fulfillment Services prime eligibility information.

- `IsWFSPrime` (boolean, required) — Indicates whether the offer is eligible for WFS Prime.
- `IsNationalWFSPrime` (boolean, required) — Indicates whether the offer is eligible for WFS Prime throughout the entire marketplace.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "responses": [
    {
      "body": {
        "payload": {
          "marketplaceId": "string",
          "ItemCondition": "New",
          "status": "string",
          "Identifier": {
            "MarketplaceId": "string",
            "ItemCondition": "New",
            "walmartItemId": "string",
            "SellerSKU": "string"
          },
          "Summary": {
            "TotalOfferCount": 1,
            "NumberOfOffers": [
              {
                "condition": "string",
                "fulfillmentChannel": "WFS",
                "OfferCount": 1
              }
            ],
            "LowestPrices": [
              {
                "condition": "string",
                "fulfillmentChannel": "WFS",
                "ListingPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "offerType": "B2C",
                "quantityTier": 1,
                "quantityDiscountType": "QUANTITY_DISCOUNT",
                "LandedPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "Shipping": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                }
              }
            ],
            "BuyBoxPrices": [
              {
                "condition": "string",
                "LandedPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "ListingPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "Shipping": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "offerType": "B2C",
                "quantityTier": 1,
                "quantityDiscountType": "QUANTITY_DISCOUNT",
                "sellerId": "string"
              }
            ],
            "ListPrice": {
              "CurrencyCode": "USD",
              "Amount": 1.1
            },
            "CompetitivePriceThreshold": {
              "CurrencyCode": "USD",
              "Amount": 1.1
            },
            "SuggestedLowerPricePlusShipping": {
              "CurrencyCode": "USD",
              "Amount": 1.1
            },
            "SalesRankings": [
              {
                "ProductCategoryId": "string",
                "Rank": 1
              }
            ],
            "BuyBoxEligibleOffers": [
              {
                "condition": "string",
                "fulfillmentChannel": "WFS",
                "OfferCount": 1
              }
            ],
            "OffersAvailableTime": "2024-01-15T09:30:00Z"
          },
          "Offers": [
            {
              "SubCondition": "string",
              "ShippingTime": {
                "minimumHours": 1,
                "maximumHours": 1,
                "availableDate": "string",
                "availabilityType": "NOW"
              },
              "ListingPrice": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              },
              "Shipping": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              },
              "IsFulfilledByWFS": true,
              "MyOffer": true,
              "offerType": "B2C",
              "SellerId": "string",
              "ConditionNotes": "string",
              "SellerFeedbackRating": {
                "FeedbackCount": 1,
                "SellerPositiveFeedbackRating": 1.1
              },
              "quantityDiscountPrices": [
                {
                  "quantityTier": 1,
                  "quantityDiscountType": "QUANTITY_DISCOUNT",
                  "listingPrice": {
                    "CurrencyCode": "USD",
                    "Amount": 1.1
                  }
                }
              ],
              "ShipsFrom": {
                "State": "string",
                "Country": "string"
              },
              "WFSPrimeDetails": {
                "IsWFSPrime": true,
                "IsNationalWFSPrime": true
              },
              "IsBuyBoxWinner": true,
              "IsFeaturedMerchant": true
            }
          ],
          "walmartItemId": "string",
          "SKU": "string"
        },
        "errors": [
          {
            "code": "string",
            "message": "string",
            "details": "string"
          }
        ]
      },
      "headers": {
        "Date": "string",
        "X-Request-Id": "string"
      },
      "status": {
        "statusCode": 1,
        "reasonPhrase": "string"
      },
      "request": {
        "uri": "string",
        "method": "GET",
        "MarketplaceId": "string",
        "ItemCondition": "New",
        "SellerSKU": "string",
        "headers": {},
        "CustomerType": "Consumer"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/listingOffers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```